org.icefaces.ace.component.datetimeentry

## Interface IDateTimeEntry

- All Known Implementing Classes:
    DateTimeEntry, DateTimeEntryBase

      public interface IDateTimeEntry

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getButtonText()`
    `java.lang.String` | `getEffect()`
    `java.lang.String` | `getEffectDuration()`
    `java.lang.String` | `getIndicatorPosition()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLabelPosition()`
    `int` | `getLeftMonthOffset()`
    `java.lang.Object` | `getLocale()`
    `java.lang.Object` | `getMaxdate()`
    `int` | `getMaxHour()`
    `int` | `getMaxlength()`
    `int` | `getMaxMinute()`
    `int` | `getMaxSecond()`
    `java.lang.Object` | `getMindate()`
    `int` | `getMinHour()`
    `int` | `getMinMinute()`
    `int` | `getMinSecond()`
    `java.lang.String` | `getOptionalIndicator()`
    `int` | `getPages()`
    `java.lang.String` | `getPattern()`
    `java.lang.String` | `getPopupIcon()`
    `java.lang.String` | `getRequiredIndicator()`
    `java.lang.Object` | `getSelectableDateRanges()`
    `java.lang.String` | `getShowOn()`
    `int` | `getSize()`
    `int` | `getStepHour()`
    `int` | `getStepMinute()`
    `int` | `getStepSecond()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTabindex()`
    `java.lang.Object` | `getTimeZone()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getWidgetVar()`
    `java.lang.String` | `getYearRange()`
    `boolean` | `isDisabled()`
    `boolean` | `isDisableHoverStyling()`
    `boolean` | `isLenientParsing()`
    `boolean` | `isNavigator()`
    `boolean` | `isPopupIconOnly()`
    `boolean` | `isReadonly()`
    `boolean` | `isReadOnlyInputText()`
    `boolean` | `isRenderAsPopup()`
    `boolean` | `isSelectOtherMonths()`
    `java.lang.Boolean` | `isShowButtonPanel()`
    `boolean` | `isShowOtherMonths()`
    `boolean` | `isShowWeek()`
    `boolean` | `isSingleSubmit()`
    `boolean` | `isTimeOnly()`
    `boolean` | `isTodayNowButtonsAlsoSelect()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setButtonText(java.lang.String buttonText)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDisableHoverStyling(boolean disableHoverStyling)`
    `void` | `setEffect(java.lang.String effect)`
    `void` | `setEffectDuration(java.lang.String effectDuration)`
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setLabelPosition(java.lang.String labelPosition)`
    `void` | `setLeftMonthOffset(int leftMonthOffset)`
    `void` | `setLenientParsing(boolean lenientParsing)`
    `void` | `setLocale(java.lang.Object locale)`
    `void` | `setMaxdate(java.lang.Object maxdate)`
    `void` | `setMaxHour(int maxHour)`
    `void` | `setMaxlength(int maxlength)`
    `void` | `setMaxMinute(int maxMinute)`
    `void` | `setMaxSecond(int maxSecond)`
    `void` | `setMindate(java.lang.Object mindate)`
    `void` | `setMinHour(int minHour)`
    `void` | `setMinMinute(int minMinute)`
    `void` | `setMinSecond(int minSecond)`
    `void` | `setNavigator(boolean navigator)`
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)`
    `void` | `setPages(int pages)`
    `void` | `setPattern(java.lang.String pattern)`
    `void` | `setPopupIcon(java.lang.String popupIcon)`
    `void` | `setPopupIconOnly(boolean popupIconOnly)`
    `void` | `setReadonly(boolean readonly)`
    `void` | `setReadOnlyInputText(boolean readOnlyInputText)`
    `void` | `setRenderAsPopup(boolean renderAsPopup)`
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)`
    `void` | `setSelectableDateRanges(java.lang.Object selectableDateRanges)`
    `void` | `setSelectOtherMonths(boolean selectOtherMonths)`
    `void` | `setShowButtonPanel(java.lang.Boolean showButtonPanel)`
    `void` | `setShowOn(java.lang.String showOn)`
    `void` | `setShowOtherMonths(boolean showOtherMonths)`
    `void` | `setShowWeek(boolean showWeek)`
    `void` | `setSingleSubmit(boolean singleSubmit)`
    `void` | `setSize(int size)`
    `void` | `setStepHour(int stepHour)`
    `void` | `setStepMinute(int stepMinute)`
    `void` | `setStepSecond(int stepSecond)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabindex(java.lang.String tabindex)`
    `void` | `setTimeOnly(boolean timeOnly)`
    `void` | `setTimeZone(java.lang.Object timeZone)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setTodayNowButtonsAlsoSelect(boolean todayNowButtonsAlsoSelect)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`
    `void` | `setYearRange(java.lang.String yearRange)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setButtonText

          void setButtonText(java.lang.String buttonText)

    - #### getButtonText

          java.lang.String getButtonText()

    - #### setDisableHoverStyling

          void setDisableHoverStyling(boolean disableHoverStyling)

    - #### isDisableHoverStyling

          boolean isDisableHoverStyling()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setEffect

          void setEffect(java.lang.String effect)

    - #### getEffect

          java.lang.String getEffect()

    - #### setEffectDuration

          void setEffectDuration(java.lang.String effectDuration)

    - #### getEffectDuration

          java.lang.String getEffectDuration()

    - #### setIndicatorPosition

          void setIndicatorPosition(java.lang.String indicatorPosition)

    - #### getIndicatorPosition

          java.lang.String getIndicatorPosition()

    - #### setLabel

          void setLabel(java.lang.String label)

    - #### getLabel

          java.lang.String getLabel()

    - #### setLabelPosition

          void setLabelPosition(java.lang.String labelPosition)

    - #### getLabelPosition

          java.lang.String getLabelPosition()

    - #### setLeftMonthOffset

          void setLeftMonthOffset(int leftMonthOffset)

    - #### getLeftMonthOffset

          int getLeftMonthOffset()

    - #### setLenientParsing

          void setLenientParsing(boolean lenientParsing)

    - #### isLenientParsing

          boolean isLenientParsing()

    - #### setLocale

          void setLocale(java.lang.Object locale)

    - #### getLocale

          java.lang.Object getLocale()

    - #### setMaxHour

          void setMaxHour(int maxHour)

    - #### getMaxHour

          int getMaxHour()

    - #### setMaxMinute

          void setMaxMinute(int maxMinute)

    - #### getMaxMinute

          int getMaxMinute()

    - #### setMaxSecond

          void setMaxSecond(int maxSecond)

    - #### getMaxSecond

          int getMaxSecond()

    - #### setMaxdate

          void setMaxdate(java.lang.Object maxdate)

    - #### getMaxdate

          java.lang.Object getMaxdate()

    - #### setMaxlength

          void setMaxlength(int maxlength)

    - #### getMaxlength

          int getMaxlength()

    - #### setMinHour

          void setMinHour(int minHour)

    - #### getMinHour

          int getMinHour()

    - #### setMinMinute

          void setMinMinute(int minMinute)

    - #### getMinMinute

          int getMinMinute()

    - #### setMinSecond

          void setMinSecond(int minSecond)

    - #### getMinSecond

          int getMinSecond()

    - #### setMindate

          void setMindate(java.lang.Object mindate)

    - #### getMindate

          java.lang.Object getMindate()

    - #### setNavigator

          void setNavigator(boolean navigator)

    - #### isNavigator

          boolean isNavigator()

    - #### setOptionalIndicator

          void setOptionalIndicator(java.lang.String optionalIndicator)

    - #### getOptionalIndicator

          java.lang.String getOptionalIndicator()

    - #### setPages

          void setPages(int pages)

    - #### getPages

          int getPages()

    - #### setPattern

          void setPattern(java.lang.String pattern)

    - #### getPattern

          java.lang.String getPattern()

    - #### setPopupIcon

          void setPopupIcon(java.lang.String popupIcon)

    - #### getPopupIcon

          java.lang.String getPopupIcon()

    - #### setPopupIconOnly

          void setPopupIconOnly(boolean popupIconOnly)

    - #### isPopupIconOnly

          boolean isPopupIconOnly()

    - #### setReadOnlyInputText

          void setReadOnlyInputText(boolean readOnlyInputText)

    - #### isReadOnlyInputText

          boolean isReadOnlyInputText()

    - #### setReadonly

          void setReadonly(boolean readonly)

    - #### isReadonly

          boolean isReadonly()

    - #### setRenderAsPopup

          void setRenderAsPopup(boolean renderAsPopup)

    - #### isRenderAsPopup

          boolean isRenderAsPopup()

    - #### setRequiredIndicator

          void setRequiredIndicator(java.lang.String requiredIndicator)

    - #### getRequiredIndicator

          java.lang.String getRequiredIndicator()

    - #### setSelectOtherMonths

          void setSelectOtherMonths(boolean selectOtherMonths)

    - #### isSelectOtherMonths

          boolean isSelectOtherMonths()

    - #### setSelectableDateRanges

          void setSelectableDateRanges(java.lang.Object selectableDateRanges)

    - #### getSelectableDateRanges

          java.lang.Object getSelectableDateRanges()

    - #### setShowButtonPanel

          void setShowButtonPanel(java.lang.Boolean showButtonPanel)

    - #### isShowButtonPanel

          java.lang.Boolean isShowButtonPanel()

    - #### setShowOn

          void setShowOn(java.lang.String showOn)

    - #### getShowOn

          java.lang.String getShowOn()

    - #### setShowOtherMonths

          void setShowOtherMonths(boolean showOtherMonths)

    - #### isShowOtherMonths

          boolean isShowOtherMonths()

    - #### setShowWeek

          void setShowWeek(boolean showWeek)

    - #### isShowWeek

          boolean isShowWeek()

    - #### setSingleSubmit

          void setSingleSubmit(boolean singleSubmit)

    - #### isSingleSubmit

          boolean isSingleSubmit()

    - #### setSize

          void setSize(int size)

    - #### getSize

          int getSize()

    - #### setStepHour

          void setStepHour(int stepHour)

    - #### getStepHour

          int getStepHour()

    - #### setStepMinute

          void setStepMinute(int stepMinute)

    - #### getStepMinute

          int getStepMinute()

    - #### setStepSecond

          void setStepSecond(int stepSecond)

    - #### getStepSecond

          int getStepSecond()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabindex

          void setTabindex(java.lang.String tabindex)

    - #### getTabindex

          java.lang.String getTabindex()

    - #### setTimeOnly

          void setTimeOnly(boolean timeOnly)

    - #### isTimeOnly

          boolean isTimeOnly()

    - #### setTimeZone

          void setTimeZone(java.lang.Object timeZone)

    - #### getTimeZone

          java.lang.Object getTimeZone()

    - #### setTitle

          void setTitle(java.lang.String title)

    - #### getTitle

          java.lang.String getTitle()

    - #### setTodayNowButtonsAlsoSelect

          void setTodayNowButtonsAlsoSelect(boolean todayNowButtonsAlsoSelect)

    - #### isTodayNowButtonsAlsoSelect

          boolean isTodayNowButtonsAlsoSelect()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setYearRange

          void setYearRange(java.lang.String yearRange)

    - #### getYearRange

          java.lang.String getYearRange()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.